For the complete documentation index, see llms.txt. This page is also available as Markdown.

Price Lists

Retrieve a price list

get

Retrieve the details of a specific price list by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Price list retrieved successfully.

application/json
pkinteger · int64Optional

Price List ID

namestring · max: 64Optional

Name of the price list.

Example: Standard Price List
codestring · max: 64 · nullableOptional

Unique code for the price list. Can be null or blank.

Example: shop_price_list
currencystring · enumOptional

Currency type for the price list.

Example: tryPossible values:
is_auto_syncbooleanOptional

Indicates whether the price list is auto-synchronized with an external integration.

Default: falseExample: true
created_datestring · date-timeOptional

Creation Date of the Price List

modified_datestring · date-timeOptional

Last Modification Date of the Price List

get/api/v1/price_list/{id}/
GET /api/v1/price_list/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "pk": 1,
  "name": "Standard Price List",
  "code": "shop_price_list",
  "currency": "try",
  "is_auto_sync": true,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Update a price list

put

Update the details of a specific price list by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Body
pkinteger · int64Optional

Price List ID

namestring · max: 64Optional

Name of the price list.

Example: Standard Price List
codestring · max: 64 · nullableOptional

Unique code for the price list. Can be null or blank.

Example: shop_price_list
currencystring · enumOptional

Currency type for the price list.

Example: tryPossible values:
is_auto_syncbooleanOptional

Indicates whether the price list is auto-synchronized with an external integration.

Default: falseExample: true
created_datestring · date-timeOptional

Creation Date of the Price List

modified_datestring · date-timeOptional

Last Modification Date of the Price List

Responses
200

Price list updated successfully.

application/json
pkinteger · int64Optional

Price List ID

namestring · max: 64Optional

Name of the price list.

Example: Standard Price List
codestring · max: 64 · nullableOptional

Unique code for the price list. Can be null or blank.

Example: shop_price_list
currencystring · enumOptional

Currency type for the price list.

Example: tryPossible values:
is_auto_syncbooleanOptional

Indicates whether the price list is auto-synchronized with an external integration.

Default: falseExample: true
created_datestring · date-timeOptional

Creation Date of the Price List

modified_datestring · date-timeOptional

Last Modification Date of the Price List

put/api/v1/price_list/{id}/
PUT /api/v1/price_list/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 184

{
  "pk": 1,
  "name": "Standard Price List",
  "code": "shop_price_list",
  "currency": "try",
  "is_auto_sync": true,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}
{
  "pk": 1,
  "name": "Standard Price List",
  "code": "shop_price_list",
  "currency": "try",
  "is_auto_sync": true,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Delete a price list

delete

Delete a specific price list by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
204

No content

No content

delete/api/v1/price_list/{id}/
DELETE /api/v1/price_list/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

List price lists

get

Retrieve a list of price lists with optional filtering.

Authorizations
AuthorizationstringRequired
Query parameters
namestringOptional

Filter by name.

codestringOptional

Filter by code.

code__exactstringOptional

Filters by exact code

is_auto_syncbooleanOptional

Filter by auto-sync status.

Example: true
created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
Responses
200

A list of price lists.

application/json
pkinteger · int64Optional

Price List ID

namestring · max: 64Optional

Name of the price list.

Example: Standard Price List
codestring · max: 64 · nullableOptional

Unique code for the price list. Can be null or blank.

Example: shop_price_list
currencystring · enumOptional

Currency type for the price list.

Example: tryPossible values:
is_auto_syncbooleanOptional

Indicates whether the price list is auto-synchronized with an external integration.

Default: falseExample: true
created_datestring · date-timeOptional

Creation Date of the Price List

modified_datestring · date-timeOptional

Last Modification Date of the Price List

get/api/v1/price_list/
GET /api/v1/price_list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

A list of price lists.

[
  {
    "pk": 1,
    "name": "Standard Price List",
    "code": "shop_price_list",
    "currency": "try",
    "is_auto_sync": true,
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  }
]

Create a price list

post

Create a new price list with the specified data.

Authorizations
AuthorizationstringRequired
Body
pkinteger · int64Optional

Price List ID

namestring · max: 64Optional

Name of the price list.

Example: Standard Price List
codestring · max: 64 · nullableOptional

Unique code for the price list. Can be null or blank.

Example: shop_price_list
currencystring · enumOptional

Currency type for the price list.

Example: tryPossible values:
is_auto_syncbooleanOptional

Indicates whether the price list is auto-synchronized with an external integration.

Default: falseExample: true
created_datestring · date-timeOptional

Creation Date of the Price List

modified_datestring · date-timeOptional

Last Modification Date of the Price List

Responses
201

Price list created successfully.

application/json
pkinteger · int64Optional

Price List ID

namestring · max: 64Optional

Name of the price list.

Example: Standard Price List
codestring · max: 64 · nullableOptional

Unique code for the price list. Can be null or blank.

Example: shop_price_list
currencystring · enumOptional

Currency type for the price list.

Example: tryPossible values:
is_auto_syncbooleanOptional

Indicates whether the price list is auto-synchronized with an external integration.

Default: falseExample: true
created_datestring · date-timeOptional

Creation Date of the Price List

modified_datestring · date-timeOptional

Last Modification Date of the Price List

post/api/v1/price_list/
POST /api/v1/price_list/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 184

{
  "pk": 1,
  "name": "Standard Price List",
  "code": "shop_price_list",
  "currency": "try",
  "is_auto_sync": true,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}
{
  "pk": 1,
  "name": "Standard Price List",
  "code": "shop_price_list",
  "currency": "try",
  "is_auto_sync": true,
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?